<?php



class CredencialesMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CredencialesMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('CREDENCIALES');
		$tMap->setPhpName('Credenciales');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addForeignKey('ID_MENU', 'IdMenu', 'double', CreoleTypes::NUMERIC, 'MENUS', 'ID', false, 22);

		$tMap->addColumn('NAME', 'Name', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, false, 30);

		$tMap->addColumn('ORDEN', 'Orden', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('UPDATE_AT', 'UpdateAt', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('RUTA', 'Ruta', 'string', CreoleTypes::VARCHAR, false, 30);

	} 
} 